## org.apache.maven.plugins.site
Class SiteRunMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo
              org.apache.maven.plugins.site.AbstractSiteRenderingMojo
                  org.apache.maven.plugins.site.SiteRunMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class SiteRunMojo

extends AbstractSiteRenderingMojo

Starts the site up, rendering documents as requested for faster editing. It uses Jetty as the web server.

Version:
  $Id: SiteRunMojo.java 886844 2009-12-03 16:28:04Z dennisl $
Author:
  Brett Porter

Field Summary

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`artifactFactory, artifactResolver, assembler, attributes, generatedSiteDirectory, moduleExcludes, reports, repositories, siteRenderer`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`i18n, locales, localRepository, project, reactorProjects, siteDirectory, siteTool`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteRunMojo()`

Method Summary
`void` `execute()`
`void` `setPort(int port)`
`void` `setTempWebappDirectory(java.io.File tempWebappDirectory)`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`categoriseReports, createSiteRenderingContext, filterReports, locateDocuments, locateReports`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`getInputEncoding, getOutputEncoding, populateReportItems, toRelative`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteRunMojo

    public SiteRunMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

### setTempWebappDirectory

    public void setTempWebappDirectory(java.io.File tempWebappDirectory)

### setPort

    public void setPort(int port)

Copyright © 2011. All Rights Reserved.